Subject: cygpath does not resolve symlinks?
From: [email-masked] (Igor boukanov)

22 Nov 1998 16:21:04 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

I have just found that cygpath utility does not resolve symlinks. I.e. it just adjusts slashes and insert drive letters to the path. 
If I type:
cygpath -w /d/a.txt
it prints
C:\d\a.txt
and not 
D:\a.txt

even if /d linked or mounted on //d

This is just annoying and prevents me to put a perfect replacement for windows start command
in my .bashrc
start() { cmd /C start /i `cygpath -w $1` ; }

So the questing is:
How can I convert from a shell script a cygwin path tp a real windows one?

With best regarsd, Igor Boukanov
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".